---
title: NetFunding adjustment
slug: apis/lending/loan-funding-payment-rails/NetFunding-Adjustment
description: Send adjustments as a funding rail type adjustment action in the PUT  /Loan/{Id}/FundingInfo payload to update amounts/status.
icon: {"apiMethod":"PUT"}
docTags: 
createdAt: 2024-08-14T11:40:13.149Z
---

You can update the loan informatioan after a loan was partially funded. Update the relevant parameters from the list below. Any loan funding information that you changed, shows with the word Adjusted before it.

| Attributes                                                                                         | Description                                                                                                            |
| -------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| `AdjustmentActionType`<br />*LoanAdjustmentAction*                                                 | Type of update made to the loan.<br /><font color="#eb144c">Required </font>                                           |
| `ActionAmount`<br />decimal<br />                                                                  | Dollar amount of the change to the loan.<br /><font color="#eb144c">Required</font>                                    |
| `Description`<br />string                                                                          | Description of the reason for the loan adjustment.<br />1 - 30 characters.<br /><font color="#eb144c">Required </font> |
| `UpdatedBy`<br />string<br />                                                                      | By whom the information was updated.<br /><font color="#0F766E">Optional </font>                                       |
| `UpdatedOn`<br />string                                                                            | Date/ time the information was updated<br />                                                                           |
| `LoanId`<br />string                                                                               | Unique identifier of the loan.<br /><font color="#0F766E">Optional </font>                                             |
| `AdjustedLoanAmount`<br />decimal *or null*                                                        | Adjusted gross dollar amount requested.<br /><font color="#0F766E"> </font>                                            |
| `AdjustedNetFunding`<br />decimal *or null*                                                        | Adjusted net dollar amount to fund.<br />                                                                              |
| `AdjustedOriginationFee`<br />decimal *or null*                                                    | Adjusted charge to the borrower for the loan..<br /><font color="#0F766E">Optional</font>                              |
| <font color="#0c121d">Optional </font><br />`AdjustedCurrentMonthlyPayment`<br />decimal *or null* | Adjusted monthly payment amount<br /><font color="#0F766E">Optional </font>                                            |
| `AdjustedFinalPaymentDate`<br />DateTime *or null*                                                 | Adjusted date due for final loan payment.<br />The format must be: yyyy-mm-dd.<br />                                   |
| `AdjustedFinalPayment`<br />decimal *or null*                                                      | Adjusted dollar amount of final payment.<br /><font color="#0F766E">Optional </font>                                   |
| `AdjustedFinanceCharge`<br />decimal *or null*                                                     | Adjusted finance charge paid by the borrower.<br />                                                                    |
| `AdjustedTotalPayments`<br />decimal *or null*                                                     | Adjusted total paid by the borrower after all the payments have been made.<br /><font color="#0F766E">Optional </font> |
| `AdjustedAPR`<br />decimal *or null*                                                               | Adjusted annual percentage interest rate, as a percent.<br /><font color="#0F766E">Optional </font>                    |

```json
{
   "FundingInfoUpdate":{
      "Rails":[
         {
            "AdjustmentActionFields":{
               "AdjustmentActionType":"Prepayment",
               "ActionAmount":300,
               "Description":"customer payment"
            },
            "RailType":"AdjustmentAction",
            "Priority":1,
            "Amount":300.0
         }
      ]
   }
}

```

